org.apache.ignite.internal.processors.platform.client.cache

## Class ClientCacheSqlQueryRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheRequest
    - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheSqlQueryRequest

All Implemented Interfaces:
  ClientListenerRequest, ClientTxAwareRequest

    public class ClientCacheSqlQueryRequest
    extends ClientCacheRequest
    implements ClientTxAwareRequest

Sql query request.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`ClientCacheSqlQueryRequest(BinaryRawReaderEx reader)` Ctor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isTransactional()` Gets a value indicating whether request was made under transaction.
`ClientResponse` `process(ClientConnectionContext ctx)` Processes the request.
`int` `txId()` Gets transaction ID.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.cache.ClientCacheRequest

`cache, cacheDescriptor, cacheDescriptor, cacheId, isKeepBinary, rawCache`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.platform.client.tx.ClientTxAwareRequest

`isTransactional, txId`

### Constructor Detail

#### ClientCacheSqlQueryRequest

    public ClientCacheSqlQueryRequest(BinaryRawReaderEx reader)

Ctor.

Parameters:
  `reader` - Reader.

### Method Detail

#### process

    public ClientResponse process(ClientConnectionContext ctx)

Processes the request.

Overrides:
  `process` in class `ClientRequest`
Returns:
  Response.

#### txId

    public int txId()

Gets transaction ID.

#### isTransactional

    public boolean isTransactional()

Gets a value indicating whether request was made under transaction.

Overrides:
  `isTransactional` in class `ClientCacheRequest`
Returns:
  Flag value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022